/*
 * Copyright (C) 2000 - 2024 Silverpeas
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * As a special exception to the terms and conditions of version 3.0 of
 * the GPL, you may redistribute this Program in connection with Free/Libre
 * Open Source Software ("FLOSS") applications as described in Silverpeas's
 * FLOSS exception. You should have recieved a copy of the text describing
 * the FLOSS exception, and it is also available here:
 * "https://www.silverpeas.org/legal/floss_exception.html"
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */
package org.silverpeas.components.gallery.delegate;

import org.silverpeas.components.gallery.constant.MediaType;
import org.silverpeas.components.gallery.model.Media;
import org.apache.commons.fileupload.FileItem;

import java.util.List;

/**
 * @author Yohann Chastagnier
 */
public class MediaDataCreateDelegate extends AbstractMediaDataDelegate {

  public MediaDataCreateDelegate(final MediaType mediaType, final String language,
      final String albumId, final List<FileItem> parameters) {
    super(mediaType, language, albumId, parameters, false);
  }

  public MediaDataCreateDelegate(final MediaType mediaType, final String language,
      final String albumId) {
    super(mediaType, language, albumId, null, false);
  }

  /**
   * Gets a new media instance according to known media type.
   * @return a media.
   */
  public Media newInstance() {
    return getMediaType().newInstance();
  }
}